## com.imcode.imcms.mapping.aop
Class TextDocumentAspect

    java.lang.Object
      com.imcode.imcms.mapping.aop.TextDocumentAspect

    public class TextDocumentAspect

extends java.lang.Object

Prototype implementation for showing translated document's fields in a chosen language.

Constructor Summary
`TextDocumentAspect(I18nLanguage language)`

Method Summary
`java.lang.Object` `getImage(org.aspectj.lang.ProceedingJoinPoint pjp)`
`java.lang.Object` `getText(org.aspectj.lang.ProceedingJoinPoint pjp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocumentAspect

    public TextDocumentAspect(I18nLanguage language)

Method Detail

### getText

    public java.lang.Object getText(org.aspectj.lang.ProceedingJoinPoint pjp)
                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getImage

    public java.lang.Object getImage(org.aspectj.lang.ProceedingJoinPoint pjp)
                              throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`